summaryrefslogtreecommitdiffstats
path: root/build-gluster-org/scripts
diff options
context:
space:
mode:
authordkhandel <dkhandel@localhost.localdomain>2018-06-06 17:03:31 +0530
committerdkhandel <dkhandel@localhost.localdomain>2018-06-07 10:15:56 +0530
commit51d0e36ae7c283dc8abae617f2d65dea7e7e2c2a (patch)
treec201b9af81c290071f2c2158a9896288f9adc08a /build-gluster-org/scripts
parent7140ada137b9ff29d08c7c13c5badeb55ce2729a (diff)
Remove the conditional-step builder and change file names:
- Rename distributed-node-create.sh -> distributed-regression.sh - Rename distributed-regression.py -> run-distributed.test.py Change-Id: I332b1f905a1ba811e09c70e342853f61b5bd1165
Diffstat (limited to 'build-gluster-org/scripts')
-rw-r--r--build-gluster-org/scripts/distributed-regression.sh (renamed from build-gluster-org/scripts/distributed-node-create.sh)11
-rw-r--r--build-gluster-org/scripts/run-distributed-test.py (renamed from build-gluster-org/scripts/distributed-regression.py)0
2 files changed, 11 insertions, 0 deletions
diff --git a/build-gluster-org/scripts/distributed-node-create.sh b/build-gluster-org/scripts/distributed-regression.sh
index 5b9747d..12f3396 100644
--- a/build-gluster-org/scripts/distributed-node-create.sh
+++ b/build-gluster-org/scripts/distributed-regression.sh
@@ -23,3 +23,14 @@ do
fi
echo 'Attempting to run again...'
done
+
+# run the script of distributed-test
+../scripts/run-distributed-test.py
+ret=$?
+if [ $ret -eq 0 ]; then
+ # Create tar file from all the failed test log files generated in /tmp
+ tar -czf $WORKSPACE/failed-test-logs.tgz /tmp/*.log
+
+ # if test runs are successful, delete all the machines
+ /opt/qa/distributed-tests/rackspace-server-manager.py delete
+fi
diff --git a/build-gluster-org/scripts/distributed-regression.py b/build-gluster-org/scripts/run-distributed-test.py
index 820c3a0..820c3a0 100644
--- a/build-gluster-org/scripts/distributed-regression.py
+++ b/build-gluster-org/scripts/run-distributed-test.py